Bug 435982 - Review Request: ocaml-camlidl - Stub code generator and COM binding for Objective Caml
Review Request: ocaml-camlidl - Stub code generator and COM binding for Objec...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 433434
  Show dependency treegraph
 
Reported: 2008-03-04 14:02 EST by Richard W.M. Jones
Modified: 2010-08-16 15:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-05 17:25:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-03-04 14:02:36 EST
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-camlidl.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-camlidl-1.05-2.fc9.src.rpm
Description: Stub code generator and COM binding for Objective Caml

http://koji.fedoraproject.org/koji/taskinfo?taskID=491374
Comment 1 Parag AN(पराग) 2008-03-05 01:12:19 EST
good if you include camlidl-1.05.doc.pdf in ocaml-camlidl-devel package 
Comment 2 Richard W.M. Jones 2008-03-05 04:43:35 EST
That file is in the -doc subpackage because it's reasonably large (180K).

442K ocaml-camlidl-1.05-2.fc9.i386.rpm
 23K ocaml-camlidl-devel-1.05-2.fc9.i386.rpm
159K ocaml-camlidl-doc-1.05-2.fc9.i386.rpm
Comment 3 Parag AN(पराग) 2008-03-05 04:56:11 EST
Have you read this
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
Do you think its too much in files and too much in size?

I think you better remove -doc package. Just have a look at some of existing
packages say gtk2-devel

on F8, I see 
2.4M    /usr/share/doc/gtk2-devel-2.12.5/

Comment 4 Richard W.M. Jones 2008-03-05 05:21:31 EST
OK, I understand what you mean now :-)

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-camlidl.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-camlidl-1.05-3.fc9.src.rpm
Description: Stub code generator and COM binding for Objective Caml

* Wed Mar  5 2008 Richard W.M. Jones <rjones@redhat.com> - 1.05-3
- Removed -doc subpackage and placed documentation in -devel.
Comment 5 Parag AN(पराग) 2008-03-05 05:41:30 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=493501
+ rpmlint is NOT silent for SRPM and for RPM.
ocaml-camlidl.i386: E: no-binary
ocaml-camlidl.i386: E: only-non-binary-in-usr-lib
==> ok to accept as per discussed in bug 433783
+ source files match upstream.
4cfb863bc3cbdc1af2502042c45cc675  camlidl-1.05.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no .pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.
+ Package ocaml-camlidl-1.05-3.fc9 =>
  Provides: ocaml(Com) = a0cb6a9dbbc61d265c2d03da5ca0ac39
  Requires: /usr/bin/ocamlrun ocaml(Callback) = e5ca1fb5990fac2b7b17cbb1712cffe2
ocaml(Obj) = 5cfae708052c692ea39d23ed930fd64d ocaml(Pervasives) =
8ba3d1faa24d659525c9025f41fd0c57 ocaml(runtime) = 3.10.1
+ Package ocaml-camlidl-devel-1.05-3.fc9 =>
   ocaml-camlidl = 1.05-3.fc9
+ Followed ocaml packaging guidelines.

 SHOULD:
    Consider adding tests to %doc
APPROVED.
Comment 6 Richard W.M. Jones 2008-03-05 05:51:02 EST
OK, I'll commit a version which adds the tests subdirectory to %doc.  I
built and ran rpmlint just now and it didn't complain when I did this.

New Package CVS Request
=======================
Package Name: ocaml-camlidl
Short Description: Stub code generator and COM binding for Objective Caml
Owners: rjones
Branches: F-8
InitialCC: rjones
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-03-05 14:49:24 EST
cvs done.
Comment 8 Richard W.M. Jones 2008-03-05 17:25:54 EST
Committed & built (with the change of adding tests to %doc).
Comment 9 Orion Poplawski 2010-08-13 12:43:05 EDT
Package Change Request
======================
Package Name: ocaml-camlidl
Short Description: Stub code generator and COM binding for Objective Caml
New Branches: EL-6
Owners: rjones

Perhaps being presumptuous that Richard wants this, though http://osdir.com/ml/epel-devel-list/2010-07/msg00119.html seems to indicate interest.
Comment 10 Jason Tibbitts 2010-08-14 10:18:56 EDT
Seems that it was a bit presumptuous:

[12:05] <tibbs> rwmjones: Did you happen to notice that someone besides you requested EL-6 branches for a bunch of your packages and requested that you own them?
[12:13] <rwmjones> tibbs: yes, I noticed that ... didn't really understand what was going on yet
[12:14] <tibbs> rwmjones: OK, I won't do anything.  Feel free to ping me or ack in any of those tickets if you want this to go ahead.

So I'm just going to clear the flags on these.
Comment 11 Orion Poplawski 2010-08-16 11:37:22 EDT
Richard - Do you want to maintain this in EPEL 6 or would you like me to?  I need it for plplot ocaml bindings.
Comment 12 Richard W.M. Jones 2010-08-16 11:55:15 EDT
I'm quite happy for you to maintain it.
Comment 13 Orion Poplawski 2010-08-16 11:57:17 EDT
Package Change Request
======================
Package Name: ocaml-camlidl
Short Description: Stub code generator and COM binding for Objective Caml
New Branches: EL-6
Owners: orion
Comment 14 Kevin Fenzi 2010-08-16 15:21:45 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.